## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-molmass
Version:        2021.6.18
Release:        %autorelease
Summary:        Calculate molecular mass properties from elemental composition

# Automatically converted from old format: BSD - review is highly recommended.
License:        LicenseRef-Callaway-BSD 
URL:            https://www.lfd.uci.edu/~gohlke/molmass/
Source0:        %{pypi_source molmass}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  dos2unix
BuildRequires:  sed

%global _description %{expand:
Molmass is a Python library and console script to calculate the molecular mass
(average, nominal, and isotopic pure), the elemental composition, and the mass
distribution spectrum of a molecule given by its chemical formula, relative 
element weights, or sequence.}

%description %_description

%package -n python3-molmass
Summary:        %{summary}

%description -n python3-molmass %_description


%prep
%autosetup -p1 -n molmass-%{version}

# fix line endings
dos2unix -k README.rst

#remove shebang from non-executable
sed s/#!.*$// molmass/molmass_web.py > molmass/molmass_web.py.noenv && touch -r molmass/molmass_web.py molmass/molmass_web.py.noenv && mv molmass/molmass_web.py.noenv molmass/molmass_web.py

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files molmass


%files -n python3-molmass -f %{pyproject_files}
%doc README.rst
%license LICENSE
%{_bindir}/molmass
%{_bindir}/molmass_web
%{_bindir}/elements_gui


%changelog
## START: Generated by rpmautospec
* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 2021.6.18-12
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.18-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 2021.6.18-10
- convert license to SPDX

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.18-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2021.6.18-8
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 2021.6.18-4
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2021.6.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 20 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 2021.6.18-1
- initial commit
## END: Generated by rpmautospec
